지식 베이스
지식 베이스 생성
빈 knowledge base를 생성합니다. 생성 후 text, webpage, file document를 추가합니다.
POST
/
knowledges
지식 베이스 생성
curl --request POST \
--url https://client-api.tryvox.co/v3/knowledges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://client-api.tryvox.co/v3/knowledges"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://client-api.tryvox.co/v3/knowledges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"created_at": 123
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Body
application/json
knowledge base 생성 요청입니다. name은 에이전트 설정과 목록 응답에 표시됩니다.
knowledge 생성 요청입니다(POST /v3/knowledges).
name은 공백 제거 후 1자 이상이어야 합니다. 빈 문자열이나 공백만 입력하면 400을 반환합니다. 정의되지 않은 필드를 보내도 400을 반환합니다(extra=forbid).
knowledge base 의 이름. 공백을 제외하고 1자 이상, 255자 이하.
Required string length:
1 - 255Was this page helpful?
⌘I
지식 베이스 생성
